EKNO YUAG - Bug #3911

Implementasi Function Trigger untuk Hapus ID di PA68 (Foto) ketika PA19 dihapus

09/22/2025 11:50 AM - Mr lkmal

Status: Closed Start date: 09/22/2025
Priority: Urgent Due date: 09/23/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Team Developer,

Mohon bantuannya untuk menambahkan validasi saat melakukan penghapusan data di PHRPA0019.

- Jika ada data yang dihapus di Attendance (PHRPA0019), maka data terkait di PHRPA0068 dengan field ID yang sama juga ikut

terhapus (foto ikut terhapus), nama field di PHRPAQ0O019 = AuditorFlag, nama field di PHRPA0068 = ID.

- Penghapusan ini harus sesuai dengan StartDate, EndDate, dan EmployeelD ya.
Boleh implementasikan dulu di port Easy untuk keperluan testing.

Terima kasih

https://easy.minovais.com/

aktivasi code : EASY

db: 103.153.60.89
MinovaES_Easy

History

#1 - 09/22/2025 04:55 PM - Kezia Pawitra Yulianti

- Due date set to 09/23/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

- Priority changed from Normal to Urgent

#2 - 09/23/2025 11:34 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , udah bisa di test

package :

ada di pertalife MinovaES_Pertalife_Prod_62225 di table phrpa0019 trigger namanya trg_Delete_ PHRPA0019

trigger di bawah ini

ALTER TRIGGER [dbo].[trg_Delete_ PHRPA0019]
ON [dbo].[PHRPA0019]

AFTER DELETE

AS

BEGIN

-- Delete matching rows from PHRPAQ0068 based on AuditorFlag, EmployeelD, and StartDate
DELETE P68

FROM PHRPA0068 P68

INNER JOIN deleted d

ON d.AuditorFlag = P68.id

AND d.EmployeelD = P68.EmployeelD

AND d.StartDate = P68.StartDate

WHERE d.AuditorFlag IS NOT NULL

AND d.EmployeelD IS NOT NULL
https://easy.minovais.com/

AND d.StartDate IS NOT NULL;
END;

makasih

#3 - 09/23/2025 11:34 AM - M Azid Wahyudi

deploy ke easy , ekno , pertalife

#4 - 09/23/2025 03:31 PM - Mr Ikmal
- Status changed from QA Test to Deploy

- Assignee changed from Mr lkmal to Muhammad Bintar

Mas bin tolong bantu deploy ya mas.
Terima kasih

#5 - 09/23/2025 05:46 PM - Muhammad Bintar

- File clipboard-202509231746-8gu8v.png added

- Status changed from Deploy to Closed

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh udah di deploy ya
